<script lang="ts">
  import ScoreboardFeedback from '@components/ScoreboardFeedback/ScoreboardFeedback.svelte';
  import { requireEventStarted } from '@auth/PermissionRequired';
  import type { PageData } from './$types';

  const ready = requireEventStarted();

  export let data: PageData;
  $: teamId = data.teamId;
</script>

<svelte:head>
  <title>Service Feedback</title>
</svelte:head>

{#await ready}
  <p>Loading...</p>
{:then _}
  <div class="container-fluid">
    <h1>Service feedback</h1>

    <p>View detailed check result information, allowing you to debug a particular service!</p>

    <ScoreboardFeedback {teamId} />
  </div>
{/await}
